/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.ezweb;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

import jp.sourceforge.livez.dao.EZwebStamp;

/**
 * Stamp の実装クラスです。
 * 
 * @author 杉澤 浩二
 */
final class StampImpl implements Stamp {

	private static final long serialVersionUID = 1L;

	/**
	 * コンストラクタです。
	 * 
	 * @param stamp
	 */
	public StampImpl(final EZwebStamp stamp) {
		this.width = stamp.getWidth();
		this.height = stamp.getHeight();
	}

	/**
	 * 幅を保持します。
	 */
	private int width;

	/*
	 * @see jp.sourceforge.livez.ezweb.Stamp#getWidth()
	 */
	public int getWidth() {
		return width;
	}

	/**
	 * 高さを保持します。
	 */
	private int height;

	/*
	 * @see jp.sourceforge.livez.ezweb.Stamp#getHeight()
	 */
	public int getHeight() {
		return height;
	}

	@Override
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}

	@Override
	public boolean equals(final Object obj) {
		return EqualsBuilder.reflectionEquals(this, obj);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}

}
